Subject: bug#59346: Adding sqlite-backup

From: Eli Zaretskii <[email-masked]>
Date: Fri, 18 Nov 2022 09:46:12 +0200

> From: Andrew Hyatt <[email-masked]>
> Date: Thu, 17 Nov 2022 23:40:11 -0300
> 
> Currently there's no great way to perform a proper backup of a sqlite database if you use the built-in sqlite in
> emacs 29.  If you just copy the file, there's a chance another database user is in the middle of something,
> and the database could be corrupted.
> 
> I've included a patch that fixes this. I would the sqlite-backup function to exist so I can use it in the ELPA
> triples package.

Thanks, but I'm not sure Emacs should support DB administration
functions of sqlite.  Aren't there utilities out there which can be
used for this?  Why should we have this built-in in Emacs? why not
simply use shell-command or somesuch to invoke the necessary external
program?